Subject: Re: RFC: Folder Git

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Apr 2011 03:39:31 -0700 (PDT)

Victor Engmark <[email-masked]> writes:

[...]
> I wrote a script for it: fgit
> <https://github.com/l0b0/fgit/blob/master/fgit.sh>. Features include:
> * Runs the Git command given in all specified directories which have a
> .git subdirectory, and warns about any that lack this directory.
> * Should work with any path, containing spaces, newlines or other
> exotic characters.
> * Should work with any Git command that doesn't require the "--"
> separator between the options and arguments.
> * Prints the Git command before running it, for logging and repetition.
> * errexit and nounset are active for each line, with one exception:
> errexit is disabled for the running of the command, to allow it to
> continue to other repositories.

Do you think this tool is mature and stable enough to add it to

  https://git.wiki.kernel.org/index.php/InterfacesFrontendsAndTools

page on Git Wiki?
-- 
Jakub Narebski
Poland
ShadeHawk on #git